Announcement

Collapse
No announcement yet.

Compiz Running With Mesa On R600/700 GPUs

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • no - more specifically I should have written "kind of a backport" to make it clearer,

    but because of its nature (deep changes) there's probably a must to upgrade to 2.6.32

    Comment


    • Originally posted by kernelOfTruth View Post
      no - more specifically I should have written "kind of a backport" to make it clearer,
      Would imply distro backporting, upstream kernels really only go forward. :3

      Comment


      • Should Gallium be enabled in Mesa?

        Comment


        • And furthermore, is this thread about the radeon or radeonhd driver? I found Gentoo instructions but they use xf86-video-ati, not xf86-video-radeonhd...

          Am I missing something?

          Comment


          • It doesn't matter whether you use radeon (-ati) or radeonhd. The DDX driver just has to support the DRI extension and call the right 3D (mesa) driver, and both of them do the right things. All of the 3D code is in the mesa and drm drivers, not radeon/radeonhd.

            I normally build with Gallium3D disabled.
            Last edited by bridgman; 09-06-2009, 08:39 PM.

            Comment


            • Ah, OK. It's a bit difficult to find all the pieces needed (there's no central place where everything is listed down). So from reading through threads here and agd5f's blog, I arrived at:

              I don't change anything in my kernel (2.6.30.5, in-kernel drm drivers are completely disabled; this is the kernel I use to run Catalyst 9.8).

              Blacklist the fglrx module so it never gets loaded and switch from ATI's OpenGL to X.Org's one.

              Install Mesa from git://anongit.freedesktop.org/mesa/mesa, branch master.

              Install libdrm from git://anongit.freedesktop.org/~agd5f/drm, branch r6xx-r7xx-3d.

              Install xf86-video-ati from git://anongit.freedesktop.org/git/xorg/driver/xf86-video-ati, branch master.

              Install DRM modules from git://anongit.freedesktop.org/~agd5f/drm, branch, r6xx-r7xx-3d.

              Let my current xorg-server as-is (I'm on 1.6.3.901).

              Rebuild all x11 drivers (due to possible libdrm ABI changes).

              Use a simple xorg.conf with:
              Section "Device"
              Driver "radeon"
              EndSection

              It works. Kind of. 3D is available, KDE4 compositing works. Everything is clearly being accelerated. glxinfo reports "Advanced Micro Devices, Inc." as OpenGL vendor string and that DRI is enabled. glxgears works with about 2000 fps. lsmod shows "radeon" loaded OK.

              But I guess I'm one of those people who get too many artifacts/garbage all over the screen :P And pressing ctrl+alt+delete to bring up the "logout/suspend/restart" KDE 4 dialog seems to hang the drivers (SysRq still works though).

              This is on a Radeon HD4870 on a 64-bit Gentoo system.

              Comment


              • That sounds about right. AFAIK it's only been tested with Compiz so far, and there are still some artifacts there (specifically typing text results in the typed text appearing corrupted). The devs are still picking off big scary bugs right now, although there aren't too many left.

                Comment


                • glxinfo reports "Advanced Micro Devices, Inc." as OpenGL vendor string and that DRI is enabled
                  It should report Mesa DRI R600. It sounds like you still have proprietary libGL.so in use.

                  Comment


                  • Good point... I missed that. You need to uninstall fglrx in order to restore the original system files, then install the open source drivers.

                    Comment


                    • No, I got it correctly. fglrx says "ATI Technologies Inc." Mesa DRI says "Advanced Micro Devices, Inc."

                      Comment

                      Working...
                      X